/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package commands;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import spring.Context;

import dao.CursoDAO;

/**
 * 
 * @author Carine
 */
public class CursoRemover extends AbstractCommand {

	private CursoDAO cursodao = new CursoDAO();

	/*
	 * (nao-Javadoc)
	 * 
	 * @seecomandos.AbstractCommand#processarComando(javax.servlet.http.
	 * HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	/** Método que processa o comando de exclusão de um curso cadastrado */
	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, Context context) {
		// TODO Stub de metodo gerado automaticamente
		String idParam = request.getParameter("id");
		int id = Integer.parseInt(idParam);
		System.out.println("vai remover");
		String msg = cursodao.removerCurso(id);
		try {
			if (msg != null)
				response
						.sendRedirect("Command?comando=CursoPreencheLista&mensagem="
								+ msg);
			else
				response
						.sendRedirect("Command?comando=CursoPreencheLista&mensagem=Curso Removido com Sucesso!");
			// rd.forward(request,response);
		} catch (IOException e) {
			// TODO Bloco catch gerado automaticamente
			e.printStackTrace();
		}
	}

}
